Runtime

## org.eclipse.gmf.runtime.common.ui.action.ide.global
Class IDEGlobalActionId

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.action.ide.global.IDEGlobalActionId

public final class IDEGlobalActionId
extends java.lang.Object

Action IDs for global actions with IDE dependencies.

Field Summary
`static java.lang.String` `BOOKMARK` Action id for the add bookmark action
`static java.lang.String` `CLOSE_PROJECT` Action id for the close project action
`static java.lang.String` `OPEN_PROJECT` Action id for the open project action

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOKMARK

    public static final java.lang.String BOOKMARK

  Action id for the add bookmark action

### OPEN_PROJECT

    public static final java.lang.String OPEN_PROJECT

  Action id for the open project action

### CLOSE_PROJECT

    public static final java.lang.String CLOSE_PROJECT

  Action id for the close project action

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.